Subject: Improve HTML backtrace for boolean and array arguments
Description

currently, a function call in the backtrace makes some type hints about the passed arguments. For boolean and array types, it's still 
boolean and array.
This should be replaced with TRUE/FALSE and, as a suggestion, array|13| giving an insight about the fact that the array has 13
elements containing; or array|0| for example, which would be especially helpful.

Associated revisions
Revision d9537656 - 2012-09-07 14:05 - Adrian Föder

[FEATURE] Improved argument type watch in HTML debug backtrace

In the debug backtrace of method calls, this gives concrete
information about the actual argument values in case of being
boolean; and reveals the amount of array elements, if such.

An array is now presented as ``array|2|`` for example, if
it has two elements.

Boolean values are not longer only displayed as ``boolean``,
but as their concrete TRUE or FALSE value accordingly. Since
the color scheme stays the same, it can still easily be
distinguished from string values.

Change-Id: Ib8367b765fb9823e3e4c205552965caa38c9c1bc
Resolves: #39879
Releases: 1.2

History
#1 - 2012-08-17 10:43 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13848

#2 - 2012-08-29 17:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13848

#3 - 2012-09-07 14:08 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13848

#4 - 2012-09-09 01:35 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d953765612a7a7f94cee46f77ceb94034be81e4c.
